# Class CATransports1

java.lang.Object
com.io7m.cardant.client.basic.internal.CATransports1

All Implemented Interfaces:
  `CATransportFactoryType`, `com.io7m.genevan.core.GenProtocolClientHandlerType`

public final class CATransports1 extends Object implements CATransportFactoryType
The factory of version 1 protocol transports.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATransports1()`
  The factory of version 1 protocol transports.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CATransportType`
  `createTransport(CAClientConfiguration configuration, HttpClient inHttpClient, CAStrings inStrings, URI inBaseURI)`
  Create a new transport.
  `com.io7m.genevan.core.GenProtocolIdentifier`
  `supported()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.genevan.core.GenProtocolClientHandlerType

  `isCompatibleWith`

- ## Constructor Details

  - ### CATransports1

    public CATransports1()
    The factory of version 1 protocol transports.

- ## Method Details

  - ### supported

    public com.io7m.genevan.core.GenProtocolIdentifier supported()
    Specified by:
      `supported` in interface `com.io7m.genevan.core.GenProtocolClientHandlerType`

  - ### createTransport

    public CATransportType createTransport(CAClientConfiguration configuration, HttpClient inHttpClient, CAStrings inStrings, URI inBaseURI)
    Description copied from interface: `CATransportFactoryType`
    Create a new transport.
    Specified by:
      `createTransport` in interface `CATransportFactoryType`
    Parameters:
      `configuration` - The configuration
      `inHttpClient` - The underlying HTTP client
      `inStrings` - The string resources
      `inBaseURI` - The base URI negotiated by the server
    Returns:
      A new handler

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`